Class RedocUI
java.lang.Object
org.apache.juneau.marshall.swap.spi.ObjectSwap<OpenApi,Div>
org.apache.juneau.bean.openapi3.ui.RedocUI
Generates a Redoc-style documentation interface from an OpenAPI 3.1 document.
Renders a two-column layout — a left sidebar containing the operation table-of-contents and a right content panel with full operation descriptions, parameters, request/response schemas, and components.
This is a sibling of OpenApiUI that provides a documentation-page-style rendering rather
than the interactive collapsing-block layout. Both are server-rendered HTML — neither bundles
external JavaScript packages.
See Also:
-
Field Summary
Fields inherited from class org.apache.juneau.marshall.swap.spi.ObjectSwap
NULL -
Constructor Summary
Constructors -
Method Summary
Modifier and TypeMethodDescriptionReturns the media types that this swap is applicable to.swap(MarshallingSession session, OpenApi openApi) If this transform is to be used to serialize non-serializable objects, it must implement this method.Methods inherited from class org.apache.juneau.marshall.swap.spi.ObjectSwap
forMediaTypes, getNormalClass, getSwapClass, getSwapClassMeta, isNormalObject, isSwappedObject, match, swap, toString, unswap, unswap, withTemplate, withTemplate
-
Constructor Details
-
RedocUI
public RedocUI()
-
-
Method Details
-
forMediaTypes
Description copied from class:ObjectSwapReturns the media types that this swap is applicable to.This method can be overridden to programmatically specify what media types it applies to.
This method is the programmatic equivalent to the
@Swap(mediaTypes)annotation.See Also:
- Overrides:
forMediaTypesin classObjectSwap<OpenApi,Div> - Returns:
- The media types that this swap is applicable to, or
null if it's applicable for all media types.
-
swap
Description copied from class:ObjectSwapIf this transform is to be used to serialize non-serializable objects, it must implement this method.The object must be converted into one of the following serializable types:
-
String -
Number -
Boolean -
Collectioncontaining anything on this list. -
Mapcontaining anything on this list. - A java bean with properties of anything on this list.
- An array of anything on this list.
- Overrides:
swapin classObjectSwap<OpenApi,Div> - Parameters:
session- The bean session to use to get the class meta. This is always going to be the same bean context that created this swap.openApi- The object to be transformed.- Returns:
- The transformed object.
- Throws:
Exception- If a problem occurred trying to convert the output.
-
-